## rman 2.5a6

=== Makefile ===
#
# Makefile for RosettaMan
#   It's helpful to read the README-rman file first.
#   You should read over all parts of this file,
#      down to the "you shouldn't modify" line
#
# Tom Phelps (phelps@cs.Berkeley.EDU)
#


### you need to localize the paths on these lines

# The executable `rman' is placed in BINDIR.
# If you're also installing TkMan (available separately--see README-rman),
#    this must be a directory that's in your bin PATH.
# MANDIR holds the man page.

BINDIR = /home/auspex/h/bair/phelps/bin
#BINDIR = /usr/local/bin
MANDIR = /home/auspex/h/bair/phelps/man/man1
#MANDIR = /usr/local/man/man1


### if you have GNU gcc v2.x, use these definitions

CC = gcc
# if you don't have gcc v2.x, try -O for CFLAGS
CFLAGS = -O2 -finline-functions

### if you just have a standard UNIX, use these instead of GNU.
### CC must be an ANSI C compiler

#CC = cc
#CFLAGS = -O

# Solaris and SysV people may need this
#CFLAGS = -O2 -finline-functions

# For HP-UX
#CC = cc
#CFLAGS = -Aa -O


# list of valid volume numbers and letters
# you can also set these at runtime with -V
VOLLIST = "1:2:3:4:5:6:7:8:9:o:l:n:p"
# SCO Unix have expanded volume letters
#VOLLIST = "1:2:3:4:5:6:7:8:9:o:l:n:p:C:X:S:L:M:F:G:A:H"
# SGI and UnixWare 2.0
#VOLLIST = "1:2:3:4:5:6:7:8:9:o:l:n:p:D"


# the printf strings used to set the <TITLE> and
# to set URL hyperlinks to referenced manual pages
# can be defined at runtime.  The defaults are defined below.
# The first %s parameter is the manual page name,
# the second the volume/section number.
# you can set these at runtime with -l and -r, respectively

MANTITLEPRINTF = "%s(%s) manual page"
MANREFPRINTF = "http://localhost/cgi-bin/man2html?%s?%s"


# # # these lines are probably fine

CP = cp
# or you can use GNU's cp and backup files that are about to be overwritten
#CP = cp -b
RM = rm


#--------------------------------------------------
#
# you shouldn't modify anything below here
#
#--------------------------------------------------

version = 2.5a6
rman = rman-$(version)
srcs = rman.c getopt.c macish.c
objs = rman
defs = -DVOLLIST='$(VOLLIST)' -DMANTITLEPRINTF='$(MANTITLEPRINTF)' -DMANREFPRINTF='$(MANREFPRINTF)'
libs = 
aux = README-rman Makefile Makefile.mac rman.1 rman.html Copyright
distrib = $(srcs) $(libs) $(aux) contrib


all:  rman
	@echo 'Files made in current directory.'
	@echo 'You should "make install".'

# everyone but me zaps assertions with the -DNDEBUG flag
rman: rman.c Makefile
	$(CC) -DNDEBUG $(defs) -DROSETTAMANVERSION=\"$(version)\" $(CFLAGS) -o rman rman.c

rman.1: rman.html rman
	echo '.TH RosettaMan 1' > rman.1
	cat ../html/html.dtd rman.html | sgmls | ../html/html2man.pl >> rman.1

debug:
	$(CC) $(defs) -DROSETTAMANVERSION=\"debug\" -g -Wall -o rman rman.c

prof: rman.c
	quantify -cache-dir=/home/orodruin/h/bair/phelps/spine/rman/cache $(CC) -DNDEBUG $(defs) -DROSETTAMANVERSION=\"$(version)\" -g -o rman rman.c

install: rman
#	$(INSTALL) -s rman $(BINDIR)
	$(RM) -f $(BINDIR)/rman
	$(CP) rman $(BINDIR)
	$(RM) -f $(MANDIR)/rman.1
	$(CP) rman.1 $(MANDIR)

# test version includes assertions
test: rman.c Makefile
	$(CC) $(defs) -DROSETTAMANVERSION=\"$(version)\" $(CFLAGS) -Wall -ansi -pedantic -o rman rman.c
	ls -l rman
	ginstall rman $(BINDIR)/sun4
	rman -v
	rman --help
	@echo 'Assertion check:'
	nroff -man rman.1 | rman -f html > /dev/null

sww:
	rm -f rman $(wildcard ~/bin/{sparc,alpha}/rman)
	rman

clean:
	rm -f $(objs)

tar: rman.1
	rm -rf $(rman)*
	mkdir $(rman)
	$(CP) -R $(distrib) $(rman)
#	expand -4 rman.c > $(rman)/rman.c
	rm -f $(rman)/contrib/*~
	@echo 'gcksum crc   length name' > MANIFEST
	@echo '----------   ------ ----' >> MANIFEST
	@gcksum $(filter-out contrib, $(filter-out %~, $(distrib) $(wildcard contrib/*))) | gtee -a MANIFEST
	mv MANIFEST $(rman)
	gtar chvf $(rman).tar $(rman)
	compress $(rman).tar
#	gzip -9v $(rman).tar
	rm -rf $(rman) rman.1
	@echo "*** Did you remember to ci -l first?"

uu: tar
	gznew $(rman).tar.Z
	echo 'uudecode, gunzip (from GNU), untar' > $(rman).tar.gz.uu
	uuencode $(rman).tar.gz $(rman).tar.gz >> $(rman).tar.gz.uu

## rman 3.0.4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Makefile for RosettaMan
+# Makefile for PolyglotMan
 #   It's helpful to read the README-rman file first.
 #   You should read over all parts of this file,
 #      down to the "you shouldn't modify" line
 #
-# Tom Phelps (phelps@cs.Berkeley.EDU)
+# Tom Phelps (phelps@ACM.org)
 #
 
 
@@ -15,7 +15,7 @@
 #    this must be a directory that's in your bin PATH.
 # MANDIR holds the man page.
 
-BINDIR = /home/auspex/h/bair/phelps/bin
+BINDIR = /private/share/bin
 #BINDIR = /usr/local/bin
 MANDIR = /home/auspex/h/bair/phelps/man/man1
 #MANDIR = /usr/local/man/man1
@@ -39,12 +39,18 @@
 # For HP-UX
 #CC = cc
 #CFLAGS = -Aa -O
+# HP-UX 10.20
+#CFLAGS = -Ae -O
+
+# DEC Alpha and Ultrix, -std1 needed to conform to ANSI C
+#CC = cc
+#CFLAGS = -std1 -O3 -Olimit 1000
 
 
 # list of valid volume numbers and letters
 # you can also set these at runtime with -V
 VOLLIST = "1:2:3:4:5:6:7:8:9:o:l:n:p"
-# SCO Unix have expanded volume letters
+# SCO Unix has expanded set of volume letters
 #VOLLIST = "1:2:3:4:5:6:7:8:9:o:l:n:p:C:X:S:L:M:F:G:A:H"
 # SGI and UnixWare 2.0
 #VOLLIST = "1:2:3:4:5:6:7:8:9:o:l:n:p:D"
@@ -58,7 +64,7 @@
 # you can set these at runtime with -l and -r, respectively
 
 MANTITLEPRINTF = "%s(%s) manual page"
-MANREFPRINTF = "http://localhost/cgi-bin/man2html?%s?%s"
+MANREFPRINTF = "/cgi-bin/man2html?%s&%s"
 
 
 # # # these lines are probably fine
@@ -75,13 +81,15 @@
 #
 #--------------------------------------------------
 
-version = 2.5a6
+version = 3.0.4
 rman = rman-$(version)
 srcs = rman.c getopt.c macish.c
 objs = rman
 defs = -DVOLLIST='$(VOLLIST)' -DMANTITLEPRINTF='$(MANTITLEPRINTF)' -DMANREFPRINTF='$(MANREFPRINTF)'
+# add "-DTCLTK" to the above list to enable special formatting for Tcl/Tk macros that 
+# conflicts with macros for other man pages
 libs = 
-aux = README-rman Makefile Makefile.mac rman.1 rman.html Copyright
+aux = ANNOUNCE-rman README-rman Makefile Makefile.mac rman.1 rman.html CHANGES
 distrib = $(srcs) $(libs) $(aux) contrib
 
 
@@ -91,17 +99,22 @@
 
 # everyone but me zaps assertions with the -DNDEBUG flag
 rman: rman.c Makefile
-	$(CC) -DNDEBUG $(defs) -DROSETTAMANVERSION=\"$(version)\" $(CFLAGS) -o rman rman.c
+	$(CC) -DNDEBUG $(defs) -DPOLYGLOTMANVERSION=\"$(version)\" $(CFLAGS) -o rman rman.c
+
+dox: rman.1 ANNOUNCE-rman
+
+ANNOUNCE-rman: Announce-rman
+	sed -e /=========/,/bogusline/p -e d Announce-rman > ANNOUNCE-rman
 
 rman.1: rman.html rman
-	echo '.TH RosettaMan 1' > rman.1
+	echo '.TH PolyglotMan 1' > rman.1
 	cat ../html/html.dtd rman.html | sgmls | ../html/html2man.pl >> rman.1
 
 debug:
-	$(CC) $(defs) -DROSETTAMANVERSION=\"debug\" -g -Wall -o rman rman.c
+	$(CC) $(defs) -DDEBUG -DPOLYGLOTMANVERSION=\"debug\" -g -Wall -o rman rman.c
 
-prof: rman.c
-	quantify -cache-dir=/home/orodruin/h/bair/phelps/spine/rman/cache $(CC) -DNDEBUG $(defs) -DROSETTAMANVERSION=\"$(version)\" -g -o rman rman.c
+prof:
+	quantify -cache-dir=/home/orodruin/h/bair/phelps/spine/rman/cache $(CC) -DNDEBUG $(defs) -DPOLYGLOTMANVERSION=\"QUANTIFY\" -g -o rman rman.c
 
 install: rman
 #	$(INSTALL) -s rman $(BINDIR)
@@ -111,23 +124,26 @@
 	$(CP) rman.1 $(MANDIR)
 
 # test version includes assertions
+#	ginstall rman $(BINDIR)/`arch`
 test: rman.c Makefile
-	$(CC) $(defs) -DROSETTAMANVERSION=\"$(version)\" $(CFLAGS) -Wall -ansi -pedantic -o rman rman.c
+	$(CC) $(defs) -DPOLYGLOTMANVERSION=\"$(version)\" $(CFLAGS) -Wall -ansi -pedantic -o rman rman.c
 	ls -l rman
-	ginstall rman $(BINDIR)/sun4
+	ginstall rman $(BINDIR)
 	rman -v
 	rman --help
-	@echo 'Assertion check:'
+	@echo 'Assertion checks:'
+	rman -f html hp-tbl.1 > /dev/null
+	rman -f html Pnews.1 > /dev/null
 	nroff -man rman.1 | rman -f html > /dev/null
 
 sww:
-	rm -f rman $(wildcard ~/bin/{sparc,alpha}/rman)
+	rm -f rman $(wildcard ~/bin/{sun4,snake,alpha}/rman)
 	rman
 
 clean:
 	rm -f $(objs)
 
-tar: rman.1
+dist: dox
 	rm -rf $(rman)*
 	mkdir $(rman)
 	$(CP) -R $(distrib) $(rman)
@@ -140,7 +156,7 @@
 	gtar chvf $(rman).tar $(rman)
 	compress $(rman).tar
 #	gzip -9v $(rman).tar
-	rm -rf $(rman) rman.1
+	rm -rf $(rman) ANNOUNCE-rman rman.1
 	@echo "*** Did you remember to ci -l first?"
 
 uu: tar

## rman 3.0.6

=== Makefile ===
--- 
+++ 
@@ -64,7 +64,10 @@
 # you can set these at runtime with -l and -r, respectively
 
 MANTITLEPRINTF = "%s(%s) manual page"
-MANREFPRINTF = "/cgi-bin/man2html?%s&%s"
+# relative link to pregenerated file in same directory
+MANREFPRINTF = "%s.%s"
+# on-the-fly through a cgi-bin script
+#MANREFPRINTF = "/cgi-bin/man2html?%s&%s"
 
 
 # # # these lines are probably fine
@@ -81,13 +84,11 @@
 #
 #--------------------------------------------------
 
-version = 3.0.4
+version = 3.0.7
 rman = rman-$(version)
 srcs = rman.c getopt.c macish.c
 objs = rman
 defs = -DVOLLIST='$(VOLLIST)' -DMANTITLEPRINTF='$(MANTITLEPRINTF)' -DMANREFPRINTF='$(MANREFPRINTF)'
-# add "-DTCLTK" to the above list to enable special formatting for Tcl/Tk macros that 
-# conflicts with macros for other man pages
 libs = 
 aux = ANNOUNCE-rman README-rman Makefile Makefile.mac rman.1 rman.html CHANGES
 distrib = $(srcs) $(libs) $(aux) contrib

## rman 3.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile for PolyglotMan
-#   It's helpful to read the README-rman file first.
+#   It's helpful to read the README-rman.txt file first.
 #   You should read over all parts of this file,
 #      down to the "you shouldn't modify" line
 #
@@ -11,20 +11,21 @@
 ### you need to localize the paths on these lines
 
 # The executable `rman' is placed in BINDIR.
-# If you're also installing TkMan (available separately--see README-rman),
+# If you're also installing TkMan (available separately--see README-rman.txt),
 #    this must be a directory that's in your bin PATH.
 # MANDIR holds the man page.
 
-BINDIR = /private/share/bin
+BINDIR = /opt/local/bin
 #BINDIR = /usr/local/bin
-MANDIR = /home/auspex/h/bair/phelps/man/man1
-#MANDIR = /usr/local/man/man1
+#BINDIR = //C/bin
+MANDIR = /usr/local/man/man1
+# popular alternative
+#BINDIR = /opt/local/bin
+#MANDIR = /opt/local/man/man1
 
 
-### if you have GNU gcc v2.x, use these definitions
-
+### if you have GNU gcc, use these definitions
 CC = gcc
-# if you don't have gcc v2.x, try -O for CFLAGS
 CFLAGS = -O2 -finline-functions
 
 ### if you just have a standard UNIX, use these instead of GNU.
@@ -56,7 +57,7 @@
 #VOLLIST = "1:2:3:4:5:6:7:8:9:o:l:n:p:D"
 
 
-# the printf strings used to set the <TITLE> and
+# the printf strings used to set the HTML <TITLE> and
 # to set URL hyperlinks to referenced manual pages
 # can be defined at runtime.  The defaults are defined below.
 # The first %s parameter is the manual page name,
@@ -68,6 +69,7 @@
 MANREFPRINTF = "%s.%s"
 # on-the-fly through a cgi-bin script
 #MANREFPRINTF = "/cgi-bin/man2html?%s&%s"
+#MANREFPRINTF = "/cgi-bin/man2html?m=%s&n=%s"
 
 
 # # # these lines are probably fine
@@ -84,13 +86,13 @@
 #
 #--------------------------------------------------
 
-version = 3.0.7
+version = 3.2
 rman = rman-$(version)
-srcs = rman.c getopt.c macish.c
+srcs = rman.c
 objs = rman
 defs = -DVOLLIST='$(VOLLIST)' -DMANTITLEPRINTF='$(MANTITLEPRINTF)' -DMANREFPRINTF='$(MANREFPRINTF)'
 libs = 
-aux = ANNOUNCE-rman README-rman Makefile Makefile.mac rman.1 rman.html CHANGES
+aux = README-rman.txt Makefile rman.1 site/rman.html CHANGES
 distrib = $(srcs) $(libs) $(aux) contrib
 
 
@@ -102,14 +104,6 @@
 rman: rman.c Makefile
 	$(CC) -DNDEBUG $(defs) -DPOLYGLOTMANVERSION=\"$(version)\" $(CFLAGS) -o rman rman.c
 
-dox: rman.1 ANNOUNCE-rman
-
-ANNOUNCE-rman: Announce-rman
-	sed -e /=========/,/bogusline/p -e d Announce-rman > ANNOUNCE-rman
-
-rman.1: rman.html rman
-	echo '.TH PolyglotMan 1' > rman.1
-	cat ../html/html.dtd rman.html | sgmls | ../html/html2man.pl >> rman.1
 
 debug:
 	$(CC) $(defs) -DDEBUG -DPOLYGLOTMANVERSION=\"debug\" -g -Wall -o rman rman.c
@@ -133,8 +127,8 @@
 	rman -v
 	rman --help
 	@echo 'Assertion checks:'
-	rman -f html hp-tbl.1 > /dev/null
-	rman -f html Pnews.1 > /dev/null
+	rman -f html weirdman/hp-tbl.1 > /dev/null
+	rman -f html weirdman/Pnews.1 > /dev/null
 	nroff -man rman.1 | rman -f html > /dev/null
 
 sww:
@@ -144,20 +138,20 @@
 clean:
 	rm -f $(objs)
 
-dist: dox
+dist: 
 	rm -rf $(rman)*
 	mkdir $(rman)
-	$(CP) -R $(distrib) $(rman)
+	$(CP) -RH $(distrib) $(rman)
 #	expand -4 rman.c > $(rman)/rman.c
 	rm -f $(rman)/contrib/*~
 	@echo 'gcksum crc   length name' > MANIFEST
 	@echo '----------   ------ ----' >> MANIFEST
-	@gcksum $(filter-out contrib, $(filter-out %~, $(distrib) $(wildcard contrib/*))) | gtee -a MANIFEST
+	@cksum $(filter-out contrib, $(filter-out %~, $(distrib) $(wildcard contrib/*))) | tee -a MANIFEST
 	mv MANIFEST $(rman)
-	gtar chvf $(rman).tar $(rman)
-	compress $(rman).tar
-#	gzip -9v $(rman).tar
-	rm -rf $(rman) ANNOUNCE-rman rman.1
+	tar chvf $(rman).tar $(rman)
+	gzip -9v $(rman).tar
+	rm -rf $(rman)
+# ANNOUNCE-rman rman.1
 	@echo "*** Did you remember to ci -l first?"
 
 uu: tar

=== debian/changelog ===
rman (3.2-7build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:42:00 +0000

rman (3.2-7) unstable; urgency=low

  * [432cb27] Fix "format not a string" error.
  * [631d058] Set hardening flags.
  * [7db1f2f] Update copyright file.
  * [f659dc7] Update email. 
              Set Standards-Version 3.9.4 (no changes). 
              Use compat level 9.

 -- Anton Gladky <gladk@debian.org>  Wed, 08 May 2013 22:56:15 +0200

rman (3.2-6) unstable; urgency=low

  * [427f5fb] Switch Standards-Version to 3.9.2 (no changes).
  * [2589f14] Update homepage.
  * [d619b57] Remove artificial "debian-changes.." patch.
  * [64d10ee] Fix typo in manpage.
  * [adf387a] Simplify debian/rules due to dh 7.
  * [7e1a4ff] Add DM-Upload-Allowed field.
  * [37b60aa] Add autotest.
  * [816d5f1] Add Vcs-fields to debian/control.
  * [b584298] Move the package from experimental to unstable.
  * [6831fd4] Change compat to 8.
  * [038fd1c] Fix segmentation fault on amd64 with gcc-4.6. 
      Thanks to Niels Thykier.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 28 May 2011 06:21:14 +0200

rman (3.2-5) experimental; urgency=low

  * New mantainer (closes: #465951)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/postinst and debian/prerm are removed as useless
  * debian/copyright created, DEP-5
  * Updated man page (closes: #358478, #530329) 
  * Fixed warnings and errors from cppcheck 

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 17 Jan 2011 21:43:28 +0100

rman (3.2-4) unstable; urgency=low

  * QA upload.
    + Set maintainer to QA group.
  * Improve watch file.
  * Bump debhelper compat level from 4 to 7.
    + Use dh_installman instead of dh_installmanpages.
  * Man page fixes.
  * Move homepage to dedicated field.

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 26 Jul 2008 10:44:13 +0200

rman (3.2-3) unstable; urgency=low

  * New Policy Version
  * Added Watch file

 -- Stephen M Moraco <stephen@debian.org>  Sun,  2 Oct 2005 13:15:33 -0600

rman (3.2-2) unstable; urgency=low

  * Update Policy Version
  * Converted doc links from use of menu(needs:dwww) to use of doc-base
  * Applied man-page patch to manpage and html version of manpage
    and submitted patch to upstream. Thankyou Helge! (Closes: Bug#245646)

 -- Stephen M Moraco <stephen@debian.org>  Thu, 19 Aug 2004 15:30:06 -0600

rman (3.2-1) unstable; urgency=low

  * New Upstream Version
  * Update to latest policy version
  * Re-applied gzip patch (new upstream didn't have it)

 -- Stephen M Moraco <stephen@debian.org>  Sun,  7 Sep 2003 13:21:14 -0600

rman (3.0.9-6) unstable; urgency=low

  * Update per debhelper best practice changes
  * Update Policy Version
  * Apply gzip patch (Closes: Bug#168889)

 -- Stephen M Moraco <stephen@debian.org>  Thu, 13 Mar 2003 10:25:21 -0700

rman (3.0.9-5) unstable; urgency=low

  * Update to latest policy version

 -- Stephen M Moraco <stephen@debian.org>  Tue,  1 Oct 2002 17:38:14 -0600

rman (3.0.9-4) unstable; urgency=low

  * Adjust Manpage name (Closes: Bug#99606)

 -- Stephen M Moraco <stephen@debian.org>  Sat, 23 Jun 2001 19:24:49 -0600

rman (3.0.9-3) unstable; urgency=low

  * Add Build Depends (Closes: Bug#94825)

 -- Stephen M Moraco <stephen@debian.org>  Mon, 23 Apr 2001 23:05:20 -0600

rman (3.0.9-2) unstable; urgency=low

  * update to gpg key/email addr

 -- Stephen M Moraco <stephen@debian.org>  Thu, 25 Jan 2001 20:29:21 -0700

rman (3.0.9-1) unstable; urgency=low

  * Move from doc to text in menu tree
  * Move to main as Artistic license now applies!
  * changed section to text as is text processor not documentation
  * New upstream version

 -- Stephen M. Moraco <stephen@col.hp.com>  Tue, 27 Jun 2000 01:18:13 -0600

rman (3.0.8-1) unstable; urgency=low

  * New upstream version

 -- Stephen M. Moraco <stephen@col.hp.com>  Mon,  4 Oct 1999 03:57:41 +0000

rman (3.0.7-3) unstable; urgency=low

  * Incorporate contrib stuff into package as doc/examples
  * Update to FHS v2.0 install locations
  * Convert to dh_make generated packaging
  * New Maintainer

 -- Stephen M. Moraco <stephen@col.hp.com>  Mon,  4 Oct 1999 03:56:25 +0000

rman (3.0.7-2) unstable; urgency=low

  * Fixed location of documentation in menu file (closes: Bug#35206)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed,  7 Apr 1999 22:21:06 +0200

rman (3.0.7-1) unstable; urgency=low

  * New upstream version

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon,  8 Feb 1999 22:54:33 +0100

rman (3.0.6-2) unstable; urgency=low

  * Re-moved into non-free since it is still not DFSG-free.  Why are
    people telling me so?
  * Removed Copyright file since it doesn't come from the upstream
    source.  Why doesn't cvs detect this?  Blah!

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 13 Sep 1998 13:17:47 +0200

rman (3.0.6-1) unstable; urgency=low

  * New upstream version

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon,  7 Sep 1998 00:12:16 +0000

rman (3.0.5-2) unstable; urgency=low

  * Tried to get it into main as it is DFSG free

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri,  3 Jul 1998 19:29:26 +0200

rman (3.0.5-1) unstable; urgency=low

  * New upstream version
  * Only for slink
  * Added patch from Tom Phelps that should fix a problem with
    misinterpreting soft latin1 dashes (closes: Bug#20808)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 29 Apr 1998 12:29:26 +0200

rman (3.0.4-4) frozen unstable; urgency=medium

  * Removed +x flag on menu file (closes: Bug#21769)
  * Added postinst and postrm to call update-menue (lintian)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 28 Apr 1998 04:08:25 +0200

rman (3.0.4-3) frozen unstable; urgency=low

  * Added patch from Tom Phelps that should fix a problem with
    misinterpreting soft latin1 dashes (closes: Bug#20808)
  * Added HTML documentation


=== debian/control ===
Source: rman
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anton Gladky <gladk@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/polyglotman/
Vcs-Git: git://git.debian.org/collab-maint/rman.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/rman.git

Package: rman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PolyglotMan - Reverse compile man pages
 PolyglotMan (formerly RosettaMan) is a filter for UNIX manual pages.
 It takes as input man pages formatted for a variety of UNIX flavors 
 (not [tn]roff source) and produces as output a variety of file 
 formats.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	./debian/autotest/autotest

override_dh_auto_install:
	# Add here commands to install the package into debian/rman.
	$(MAKE) -e install \
		DESTDIR=`pwd`/debian/rman \
		BINDIR=`pwd`/debian/rman/usr/bin \
		MANDIR=`pwd`/debian/rman/usr/share/man/man1 

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

=== debian/watch ===
version=3
http://sf.net/polyglotman/rman-(.+)\.tar\.gz
